%define upstream_name    Class-Date
%define upstream_version 1.1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Class for easy date and time manipulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Time::Local)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch: noarch
%description
This module is intended to provide a general-purpose date and datetime
type for perl. You have a Class::Date class for absolute date and
datetime, and have a Class::Date::Rel class for relative dates.

You can use "+", "-", "<" and ">" operators as with native perl data
types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{perl_vendorlib}/Class
#{perl_vendorarch}/auto/Class
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.17-5.mga10
+ Revision: 2203508
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.17-4.mga9
+ Revision: 1808473
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.17-3.mga8
+ Revision: 1503558
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.17-2.mga7
+ Revision: 1282256
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 1.1.17-1.mga7
+ Revision: 1233664
- New version 1.1.17

* Mon Oct 02 2017 tv <tv> 1.1.15-10.mga7
+ Revision: 1163356
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.1.15-9.mga7
+ Revision: 1148682
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.1.15-8.mga7
+ Revision: 1126449
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.1.15-7.mga6
+ Revision: 1023912
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.1.15-6.mga6
+ Revision: 956855
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.1.15-5.mga6
+ Revision: 844037
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.1.15-4.mga5
+ Revision: 750125
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.15-3.mga5
+ Revision: 683906
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.1.15-2.mga5
+ Revision: 630867
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.1.15-1.mga5
+ Revision: 620447
- update to 1.1.15

* Sat Oct 19 2013 umeabot <umeabot> 1.1.10-6.mga4
+ Revision: 524285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.1.10-5.mga4
+ Revision: 430559
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.10-4.mga3
+ Revision: 364343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1.10-3.mga3
+ Revision: 250320
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.1.10-2.mga2
+ Revision: 103635
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.1.10-1.mga1
+ Revision: 29891
- mageia rebuild
- imported package perl-Class-Date


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.10-1mdv2011.0
+ Revision: 561044
- update to 1.1.10

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.9-7mdv2011.0
+ Revision: 555227
- rebuild

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.9-6mdv2010.1
+ Revision: 505427
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.9-5mdv2010.0
+ Revision: 430324
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-4mdv2009.0
+ Revision: 255899
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-2mdv2008.1
+ Revision: 151856
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.9-1mdv2007.0
- New release 1.1.9

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-1mdk
- new version
- spec cleanup
- rpmbuilupdate support
- fix directory ownership
- better summary
- %%mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-1mdk
- initial Mandriva package

